<?xml version="1.0" encoding="utf-8"?>
<!--
 * AGP Config
 * all AGP states definitions at here.
 -->
<Config>
    <!-- dynamic fps config: max 90|120|144 Hz -->
    <Params name="dynamic_fps_config" value="1">
        <!-- size equals to number of choices in setting
         * code values:
           0: disable, unused
           1: force_30   2: force_60   3: force_90
           4: force_120  5: force_144
           9: dynamic_60_90 10: dynamic_60_120
         -->
        <Param name="setting_config" value="60 120">
            <setting id="0" value="2">
                <switch name="app_default" value="2"/>
                <switch name="game_default" value="2"/>
            </setting>

            <setting id="1" value="4">
                <switch name="app_default" value="4"/>
                <switch name="game_default" value="9"/>

                <switch name="scene_pkg_list">
                    <scene_pkg name="IME" value="4" code="1"/>
                    <scene_pkg name="BACK_LAUNCHER" value="4" code="3"/>
                    <scene_pkg name="FULL_SCREEN_VIDEO" value="2" code="2"/>
                    <scene_pkg name="APP_START_ANIMATION" value="4" code="2"/>
                    <scene_pkg name="APP_BACK_ANIMATION" value="4" code="3"/>
                    <scene_pkg name="UNLOCK_INTO_LAUNCHER" value="4" code="2"/>
                    <scene_pkg name="MULTI_TASKING" value="4" code="3"/>
                    <scene_pkg name="video" value="2" code="2"/>
                    <scene_pkg name="audio" value="2" code="2"/>
                    <scene_pkg name="camera" value="2" code="2"/>
                    <scene_pkg name="H_QS" value="4" code="2"/>
                    <scene_pkg name="H_LT" value="4" code="2"/>
                    <scene_pkg name="H_FH" value="4" code="3"/>
                    <scene_pkg name="TRANSIT_ACTIVITY" value="4" code="1"/>
                </switch>

                <switch name="app_pkg_list">
                    <pkg name="com.huawei.mirror" value="2"/>
                    <pkg name="com.huawei.camera" value="2"/>
                    <pkg name="com.android.incallui" value="2"/>
                    <pkg name="com.zdwh.wwdz" value="2"/>
                    <pkg name="com.huicent" value="2"/>
                    <pkg name="com.oceansoft.gzpolice" value="2"/>
                    <pkg name="com.duowan.kiwi" value="2"/>
                    <pkg name="com.hunantv.imgo.activity" value="2"/>
                    <pkg name="com.hicloud.android.clone" value="2"/>
                    <pkg name="com.eg.android.AlipayGphone" value="3"/>
                    <pkg name="com.huawei.android.hwaps.audio.*" value="2"/>
                    <pkg name="com.huawei.android.hwaps.camera.*" value="2"/>
                    <pkg name="com.huawei.android.hwaps.reading.*" value="2"/>
                    <pkg name="com.huawei.android.hwaps.fullscreenvideo.*" value="2"/>
                </switch>

                <switch name="game_pkg_list">
                    <pkg name="com.tencent.tmgp.speedmobile" value="10"/>
                    <pkg name="com.blizzard.wtcg.hearthstone" value="2"/>
                    <pkg name="com.netease.AVALON" value="2"/>
                    <pkg name="com.dtszj.khd.huawei" value="2"/>
                    <pkg name="com.pwrd.xxajh.huawei" value="2"/>
                    <pkg name="com.GF.palacem5cncn.hwyad.hwy" value="2"/>
                    <pkg name="com.huawei.hereto" value="2"/>
                    <pkg name="com.example.chinesechess.huawei" value="2"/>
                    <pkg name="com.supercell.clashofclans.huawei" value="2"/>
                    <pkg name="com.qqgame.hlddz" value="2"/>
                    <pkg name="com.aligames.sgzzlb" value="2"/>
                    <pkg name="com.userjoy.rte" value="2"/>
                    <pkg name="com.netease.onmyoji" value="2"/>
                    <pkg name="com.game.shns.HUAWEI" value="2"/>
                    <pkg name="com.supercell.clashroyale.huawei" value="2"/>
                    <pkg name="com.hoolai.hmzqfy.huawei" value="2"/>
                    <pkg name="com.lilithgames.afk.huawei" value="2"/>
                    <pkg name="com.shjgfb.wzjh.toutiao" value="2"/>
                    <pkg name="com.jlsj.jrtt.gg4b" value="2"/>
                    <pkg name="com.aligames.sgzzlb.huawei" value="2"/>
                    <pkg name="com.tanwan.ltcs.huawei" value="2"/>
                    <pkg name="com.feiyu.carrot3.huawei" value="2"/>
                    <pkg name="com.pandadastudio.ninjamustdie3.huawei" value="2"/>
                    <pkg name="com.ledou.mhhy.huawei" value="2"/>
                    <pkg name="com.tencent.peng" value="2"/>
                    <pkg name="com.kurogame.haru.hero" value="2"/>
                    <pkg name="com.tencent.tmgp.supercell.clashroyale" value="2"/>
                    <pkg name="cn.mobage.g13001230" value="2"/>
                    <pkg name="com.game.wepoker" value="2"/>
                    <pkg name="com.tencent.qqgame.xq" value="2"/>
                    <pkg name="com.lq.mjlj.g17173" value="2"/>
                    <pkg name="com.zloong.eu.mhzx" value="2"/>
                    <pkg name="com.zzyzf.yx.mz" value="2"/>
                    <pkg name="com.sy.ydcs.huawei" value="2"/>
                    <pkg name="com.qqgame.happymj" value="2"/>
                    <pkg name="com.netease.onmyoji.huawei" value="2"/>
                    <pkg name="com.qs.xy.xyqp" value="2"/>
                    <pkg name="com.xnzttx.whmj" value="2"/>
                    <pkg name="com.netease.pes.huawei" value="2"/>
                    <pkg name="com.tencent.tmgp.supercell.clashofclans" value="2"/>
                    <pkg name="com.supercell.boombeach.HUAWEI" value="2"/>
                    <pkg name="com.happyplay.scmj" value="2"/>
                    <pkg name="com.zzyzf.yx.huawei" value="2"/>
                    <pkg name="com.bf.sgs.hdexp.huawei" value="2"/>
                    <pkg name="com.netease.yysbwp.huawei" value="2"/>
                    <pkg name="com.qileyx.ddz.huawei" value="2"/>
                    <pkg name="com.netease.my.huawei" value="2"/>
                    <pkg name="com.netease.lrs" value="2"/>
                    <pkg name="com.wedobest.shudu" value="2"/>
                    <pkg name="com.tencent.fifamobile" value="2"/>
                    <pkg name="com.xltt.housedesigner.m4399" value="2"/>
                    <pkg name="com.aligames.kuang.kybc.huawei" value="2"/>
                    <pkg name="com.softstar.stardom.huawei" value="2"/>
                    <pkg name="com.netease.stzb.huawei" value="2"/>
                    <pkg name="com.duoyi.shenwu3" value="2"/>
                    <pkg name="com.galasports.championsfc" value="2"/>
                    <pkg name="com.tencent.tmgp.s3.sgzzlb" value="2"/>
                    <pkg name="com.netease.stzb.netease" value="2"/>
                    <pkg name="com.jd.game.amount" value="2"/>
                    <pkg name="com.supercell.clashofclans" value="2"/>
                    <pkg name="com.pandadastudio.ninjamustdie3" value="2"/>
                    <pkg name="com.sincetimes.dragonfarmii.HUAWEI" value="2"/>
                    <pkg name="com.tencent.tmgp.AndroidAnimal" value="2"/>
                    <pkg name="com.tgc.sky.android" value="2"/>
                    <pkg name="com.dgfx.ylxj.huawei" value="2"/>
                    <pkg name="com.tencent.tmgp.NBA" value="2"/>
                    <pkg name="com.tencent.tmgp.wec" value="2"/>
                    <pkg name="com.hypergryph.arknights" value="2"/>
                    <pkg name="com.hypergryph.arknights.bilibili" value="2"/>
                    <pkg name="com.tencent.shootgame" value="2"/>
                    <pkg name="com.mf.monsterblast.huawei" value="2"/>
                    <pkg name="com.minitech.miniworld.huawei" value="2"/>
                    <pkg name="cn.jj" value="2"/>
                    <pkg name="com.netease.mc.huawei" value="2"/>
                    <pkg name="com.netease.dwrg.huawei" value="2"/>
                    <pkg name="com.zengame.zrttddz.HUAWEI" value="2"/>
                    <pkg name="com.t2ksports.nba2k19and" value="2"/>
                    <pkg name="com.t2ksports.nba2k20and" value="2"/>
                    <pkg name="com.miHoYo.enterprise.NGHSoD" value="2"/>
                    <pkg name="com.tencent.tmgp.bh3" value="2"/>
                    <pkg name="com.miHoYo.bh3.huawei" value="2"/>
                    <pkg name="com.miHoYo.bh3.bilibili" value="2"/>
                    <pkg name="com.miHoYo.bh3tw" value="2"/>
                    <pkg name="com.miHoYo.bh3global" value="2"/>
                    <pkg name="com.miHoYo.bh3.uc" value="2"/>
                    <pkg name="com.miHoYo.bh3.qihoo" value="2"/>
                    <pkg name="com.miHoYo.Yuanshen" value="2"/>
                    <pkg name="com.protopop.brightridge" value="2"/>
                </switch>
            </setting>

            <setting id="2" value="4">
                <switch name="app_default" value="23"/>
                <switch name="game_default" value="9"/>

                <switch name="scene_pkg_list">
                    <scene_pkg name="IME" value="4" code="1"/>
                    <scene_pkg name="BACK_LAUNCHER" value="3" code="3"/>
                    <scene_pkg name="FULL_SCREEN_VIDEO" value="2" code="2"/>
                    <scene_pkg name="INPUT_METHOD" value="2" code="2"/>
                    <scene_pkg name="APP_START_ANIMATION" value="3" code="2"/>
                    <scene_pkg name="APP_BACK_ANIMATION" value="3" code="3"/>
                    <scene_pkg name="UNLOCK_INTO_LAUNCHER" value="3" code="2"/>
                    <scene_pkg name="MULTI_TASKING" value="3" code="3"/>
                    <scene_pkg name="video" value="2" code="2"/>
                    <scene_pkg name="audio" value="2" code="2"/>
                    <scene_pkg name="camera" value="2" code="2"/>
                    <scene_pkg name="H_QS" value="3" code="2"/>
                    <scene_pkg name="H_LT" value="3" code="2"/>
                    <scene_pkg name="H_FH" value="3" code="3"/>
                    <scene_pkg name="TRANSIT_ACTIVITY" value="4" code="1"/>
                </switch>

                <switch name="app_type_list">
                    <type name="-1" value="2"/>
                    <type name="2" value="2"/>
                    <type name="3" value="2"/>
                    <type name="4" value="2"/>
                    <type name="5" value="2"/>
                    <type name="6" value="2"/>
                    <type name="7" value="2"/>
                    <type name="8" value="2"/>
                    <type name="10" value="2"/>
                    <type name="11" value="2"/>
                    <type name="12" value="2"/>
                    <type name="15" value="2"/>
                    <type name="16" value="2"/>
                    <type name="17" value="2"/>
                    <type name="18" value="2"/>
                    <type name="20" value="2"/>
                    <type name="21" value="2"/>
                    <type name="22" value="2"/>
                    <type name="23" value="2"/>
                    <type name="24" value="2"/>
                    <type name="25" value="2"/>
                    <type name="27" value="2"/>
                    <type name="30" value="2"/>
                    <type name="31" value="2"/>
                    <type name="33" value="2"/>
                    <type name="34" value="2"/>
                    <type name="35" value="2"/>
                    <type name="36" value="2"/>
                    <type name="255" value="2"/>
                </switch>

                <switch name="app_pkg_list">
                    <pkg name="com.huawei.ohos.famanager" value="23"/>
                    <pkg name="com.huawei.ohos.search" value="23"/>
                    <pkg name="com.huawei.android.tips" value="23"/>
                    <pkg name="com.huawei.android.launcher" value="3"/>
                    <pkg name="com.huawei.health" value="23"/>
                    <pkg name="com.huawei.android.thememanager" value="23"/>
                    <pkg name="com.huawei.appmarket" value="23"/>
                    <pkg name="com.huawei.wallet" value="23"/>
                    <pkg name="com.huawei.android.totemweather" value="23"/>
                    <pkg name="com.huawei.android.findmyphone" value="23"/>
                    <pkg name="com.huawei.phoneservice" value="23"/>
                    <pkg name="com.huawei.smarthome" value="23"/>
                    <pkg name="com.huawei.fans" value="23"/>
                    <pkg name="com.huawei.hwid" value="23"/>
                    <pkg name="com.android.mms" value="4"/>
                    <pkg name="com.huawei.gamebox" value="23"/>
                    <pkg name="com.huawei.lives" value="23"/>
                    <pkg name="com.hicloud.android.clone" value="2"/>
                    <pkg name="com.android.packageinstaller" value="2"/>
                    <pkg name="com.huawei.hwireader" value="23"/>
                    <pkg name="com.android.settings" value="4"/>
                    <pkg name="com.vmall.client" value="23"/>
                    <pkg name="com.huawei.android.remotecontroller" value="23"/>
                    <pkg name="com.huawei.hiskytone" value="23"/>
                    <pkg name="com.huawei.email" value="23"/>
                    <pkg name="com.huawei.contacts" value="4"/>
                    <pkg name="com.huawei.notepad" value="23"/>
                    <pkg name="com.huawei.calendar" value="4"/>
                    <pkg name="com.android.permissioncontroller" value="2"/>
                    <pkg name="com.huawei.mycenter" value="23"/>
                    <pkg name="com.huawei.photos" value="23"/>
                    <pkg name="com.huawei.meetime" value="23"/>
                    <pkg name="com.huawei.educenter" value="23"/>
                    <pkg name="com.huawei.soundrecorder" value="23"/>
                    <pkg name="com.huawei.filemanager" value="4"/>
                    <pkg name="com.huawei.music" value="23"/>
                    <pkg name="com.huawei.ar.measure" value="2"/>
                    <pkg name="com.huawei.browser" value="23"/>
                    <pkg name="com.huawei.deveco.crowdtest" value="23"/>
                    <pkg name="com.huawei.cloud" value="2"/>
                    <pkg name="com.huawei.works" value="23"/>
                    <pkg name="huawei.w3.smartcom.itravel" value="23"/>
                    <pkg name="com.huawei.it.ilearning.android" value="23"/>
                    <pkg name="com.kingsoft.moffice_pro_hw" value="23"/>
                    <pkg name="com.huawei.it.xinsheng" value="23"/>
                    <pkg name="com.baidu.input_huawei" value="23"/>
                    <pkg name="com.huawei.android.instantshare" value="23"/>
                    <pkg name="com.huawei.android.internal.app" value="23"/>
                    <pkg name="com.huawei.search" value="23"/>
                    <pkg name="com.huawei.gameassistant" value="23"/>
                    <pkg name="com.Huawei.hidisk" value="23"/>
                    <pkg name="com.huawei.intelligent" value="23"/>
                    <pkg name="com.huawei.motionservice" value="23"/>
                    <pkg name="com.huawei.parentcontrol" value="23"/>
                    <pkg name="com.huawei.hifolder" value="23"/>
                    <pkg name="com.android.phone.recorder" value="23"/>
                    <pkg name="com.huawei.android.FloatTasks" value="23"/>
                    <pkg name="com.android.documentsui" value="23"/>
                    <pkg name="com.huawei.desktop.explorer" value="23"/>
                    <pkg name="com.huawei.hiviewtunnel" value="23"/>
                    <pkg name="com.huawei.trustagent" value="23"/>
                    <pkg name="com.huawei.trustspace" value="23"/>
                    <pkg name="com.huawei.systemmanager" value="23"/>
                    <pkg name="com.huawei.vassistant" value="23"/>
                    <pkg name="com.huawei.hitouch" value="23"/>
                    <pkg name="com.huawei.android.hwouc" value="23"/>
                    <pkg name="com.android.phone" value="23"/>
                    <pkg name="com.android.emergency" value="23"/>
                    <pkg name="com.huawei.scanner" value="23"/>
                    <pkg name="com.android.systemui" value="3"/>
                    <pkg name="com.huawei.aod" value="4"/>
                    <pkg name="com.android.bluetooth" value="4"/>
                    <pkg name="com.huawei.hicard" value="4"/>
                    <pkg name="com.huawei.hiai" value="4"/>
                    <pkg name="com.huawei.pengine" value="4"/>
                    <pkg name="com.huawei.stylus.floatmenu" value="4"/>
                    <pkg name="com.huawei.scenepack" value="4"/>
                    <pkg name="com.huawei.hwdockbar" value="4"/>
                    <pkg name="com.huawei.controlcenter" value="4"/>
                    <pkg name="com.huawei.localBackup" value="23"/>
                    <pkg name="com.huawei.magazine" value="23"/>
                    <pkg name="com.huawei.welinknow" value="23"/>
                    <pkg name="com.android.stk" value="23"/>
                    <pkg name="com.huawei.dsdscardmanager" value="23"/>
                    <pkg name="com.huawei.hisuite" value="23"/>
                    <pkg name="com.huawei.fastapp" value="23"/>
                    <pkg name="com.huawei.videoeditor" value="23"/>
                    <pkg name="com.huawei.securitymgr" value="4"/>
                    <pkg name="com.huawei.hicloud" value="4"/>
                    <pkg name="com.android.incallui" value="2"/>
                    <pkg name="com.huawei.camera" value="2"/>
                    <pkg name="com.huawei.mirror" value="2"/>
                    <pkg name="com.huawei.calculator" value="2"/>
                    <pkg name="com.huawei.compass" value="2"/>
                    <pkg name="com.bilibili.comic" value="23"/>
                    <pkg name="com.kuaikan.comic" value="23"/>
                    <pkg name="com.wbxm.icartoon" value="23"/>
                    <pkg name="com.comic.manhuatai" value="23"/>
                    <pkg name="com.u17.comic.phone" value="23"/>
                    <pkg name="com.mandongkeji.comiclover" value="23"/>
                    <pkg name="com.erdo.android.FJDXCartoon" value="23"/>
                    <pkg name="com.comic.isaman" value="23"/>
                    <pkg name="com.ilike.cartoon" value="23"/>
                    <pkg name="com.qire.manhua" value="23"/>
                    <pkg name="cn.ibuka.manga.ui" value="23"/>
                    <pkg name="com.itcode.reader" value="23"/>
                    <pkg name="com.android.comicsisland.activity" value="23"/>
                    <pkg name="com.hisunflytone.android" value="23"/>
                    <pkg name="com.qq.ac.android" value="23"/>
                    <pkg name="com.dmzj.manhua" value="23"/>
                    <pkg name="com.naver.linewebtoon.cn" value="23"/>
                    <pkg name="cn.kidstone.cartoon" value="23"/>
                    <pkg name="cn.zymk.comic" value="23"/>
                    <pkg name="com.xmtj.mkz" value="23"/>
                    <pkg name="com.weibo.comic" value="23"/>
                    <pkg name="com.mallestudio.gugu.app" value="23"/>
                    <pkg name="com.cn.maimeng" value="23"/>
                    <pkg name="com.motong.cm" value="23"/>
                    <pkg name="com.mfmhdq.comic" value="23"/>
                    <pkg name="com.netease.cartoonreader" value="23"/>
                    <pkg name="cn.xuexi.android" value="23"/>
                    <pkg name="com.handsgo.jiakao.android" value="23"/>
                    <pkg name="com.baidu.homework" value="23"/>
                    <pkg name="com.fenbi.android.servant" value="23"/>
                    <pkg name="com.liulishuo.engzo" value="23"/>
                    <pkg name="com.hongen.app.word" value="23"/>
                    <pkg name="com.fenbi.android.solar" value="23"/>
                    <pkg name="com.seebaby" value="23"/>
                    <pkg name="org.xinkb.blackboard.android" value="23"/>
                    <pkg name="com.xueersi.parentsmeeting" value="23"/>
                    <pkg name="com.jzzs.ParentsHelper" value="23"/>
                    <pkg name="com.openlanguage.kaiyan" value="23"/>
                    <pkg name="com.jiliguala.niuwa" value="23"/>
                    <pkg name="com.xes.jazhanghui.activity" value="23"/>
                    <pkg name="com.seewo.easicare.pro" value="23"/>
                    <pkg name="com.hujiang.cctalk" value="23"/>
                    <pkg name="com.yl.edu" value="23"/>
                    <pkg name="com.yuantiku.tutor" value="23"/>
                    <pkg name="com.liulishuo.vira" value="23"/>
                    <pkg name="com.hjwordgames" value="23"/>
                    <pkg name="com.duolingo" value="23"/>
                    <pkg name="com.fenbi.android.leo" value="23"/>
                    <pkg name="com.jovision.ivbaby" value="23"/>
                    <pkg name="cn.net.dascom.xrbridge" value="23"/>
                    <pkg name="com.jinxin.namibox" value="23"/>
                    <pkg name="com.zybang.parent" value="23"/>
                    <pkg name="com.zhihu.android" value="23"/>
                    <pkg name="com.sina.weibo" value="23"/>
                    <pkg name="cn.wps.moffice_eng" value="23"/>
                    <pkg name="com.huawei.android.hwaps.inputMethod.*" value="2"/>
                    <pkg name="com.huawei.android.hwaps.audio.*" value="2"/>
                    <pkg name="com.huawei.android.hwaps.camera.*" value="2"/>
                    <pkg name="com.huawei.android.hwaps.reading.*" value="2"/>
                    <pkg name="com.huawei.android.hwaps.fullscreenvideo.*" value="2"/>
                </switch>

                <switch name="game_pkg_list">
                    <pkg name="com.tencent.tmgp.speedmobile" value="10"/>
                    <pkg name="com.blizzard.wtcg.hearthstone" value="2"/>
                    <pkg name="com.netease.AVALON" value="2"/>
                    <pkg name="com.dtszj.khd.huawei" value="2"/>
                    <pkg name="com.pwrd.xxajh.huawei" value="2"/>
                    <pkg name="com.GF.palacem5cncn.hwyad.hwy" value="2"/>
                    <pkg name="com.huawei.hereto" value="2"/>
                    <pkg name="com.example.chinesechess.huawei" value="2"/>
                    <pkg name="com.supercell.clashofclans.huawei" value="2"/>
                    <pkg name="com.qqgame.hlddz" value="2"/>
                    <pkg name="com.aligames.sgzzlb" value="2"/>
                    <pkg name="com.userjoy.rte" value="2"/>
                    <pkg name="com.netease.onmyoji" value="2"/>
                    <pkg name="com.game.shns.HUAWEI" value="2"/>
                    <pkg name="com.supercell.clashroyale.huawei" value="2"/>
                    <pkg name="com.hoolai.hmzqfy.huawei" value="2"/>
                    <pkg name="com.lilithgames.afk.huawei" value="2"/>
                    <pkg name="com.shjgfb.wzjh.toutiao" value="2"/>
                    <pkg name="com.jlsj.jrtt.gg4b" value="2"/>
                    <pkg name="com.aligames.sgzzlb.huawei" value="2"/>
                    <pkg name="com.tanwan.ltcs.huawei" value="2"/>
                    <pkg name="com.feiyu.carrot3.huawei" value="2"/>
                    <pkg name="com.pandadastudio.ninjamustdie3.huawei" value="2"/>
                    <pkg name="com.ledou.mhhy.huawei" value="2"/>
                    <pkg name="com.tencent.peng" value="2"/>
                    <pkg name="com.kurogame.haru.hero" value="2"/>
                    <pkg name="com.tencent.tmgp.supercell.clashroyale" value="2"/>
                    <pkg name="cn.mobage.g13001230" value="2"/>
                    <pkg name="com.game.wepoker" value="2"/>
                    <pkg name="com.tencent.qqgame.xq" value="2"/>
                    <pkg name="com.lq.mjlj.g17173" value="2"/>
                    <pkg name="com.zloong.eu.mhzx" value="2"/>
                    <pkg name="com.zzyzf.yx.mz" value="2"/>
                    <pkg name="com.sy.ydcs.huawei" value="2"/>
                    <pkg name="com.qqgame.happymj" value="2"/>
                    <pkg name="com.netease.onmyoji.huawei" value="2"/>
                    <pkg name="com.qs.xy.xyqp" value="2"/>
                    <pkg name="com.xnzttx.whmj" value="2"/>
                    <pkg name="com.netease.pes.huawei" value="2"/>
                    <pkg name="com.tencent.tmgp.supercell.clashofclans" value="2"/>
                    <pkg name="com.supercell.boombeach.HUAWEI" value="2"/>
                    <pkg name="com.happyplay.scmj" value="2"/>
                    <pkg name="com.zzyzf.yx.huawei" value="2"/>
                    <pkg name="com.bf.sgs.hdexp.huawei" value="2"/>
                    <pkg name="com.netease.yysbwp.huawei" value="2"/>
                    <pkg name="com.qileyx.ddz.huawei" value="2"/>
                    <pkg name="com.netease.my.huawei" value="2"/>
                    <pkg name="com.netease.lrs" value="2"/>
                    <pkg name="com.wedobest.shudu" value="2"/>
                    <pkg name="com.tencent.fifamobile" value="2"/>
                    <pkg name="com.xltt.housedesigner.m4399" value="2"/>
                    <pkg name="com.aligames.kuang.kybc.huawei" value="2"/>
                    <pkg name="com.softstar.stardom.huawei" value="2"/>
                    <pkg name="com.netease.stzb.huawei" value="2"/>
                    <pkg name="com.duoyi.shenwu3" value="2"/>
                    <pkg name="com.galasports.championsfc" value="2"/>
                    <pkg name="com.tencent.tmgp.s3.sgzzlb" value="2"/>
                    <pkg name="com.netease.stzb.netease" value="2"/>
                    <pkg name="com.jd.game.amount" value="2"/>
                    <pkg name="com.supercell.clashofclans" value="2"/>
                    <pkg name="com.pandadastudio.ninjamustdie3" value="2"/>
                    <pkg name="com.sincetimes.dragonfarmii.HUAWEI" value="2"/>
                    <pkg name="com.tencent.tmgp.AndroidAnimal" value="2"/>
                    <pkg name="com.tgc.sky.android" value="2"/>
                    <pkg name="com.dgfx.ylxj.huawei" value="2"/>
                    <pkg name="com.tencent.tmgp.NBA" value="2"/>
                    <pkg name="com.tencent.tmgp.wec" value="2"/>
                    <pkg name="com.hypergryph.arknights" value="2"/>
                    <pkg name="com.hypergryph.arknights.bilibili" value="2"/>
                    <pkg name="com.tencent.shootgame" value="2"/>
                    <pkg name="com.mf.monsterblast.huawei" value="2"/>
                    <pkg name="com.minitech.miniworld.huawei" value="2"/>
                    <pkg name="cn.jj" value="2"/>
                    <pkg name="com.netease.mc.huawei" value="2"/>
                    <pkg name="com.netease.dwrg.huawei" value="2"/>
                    <pkg name="com.zengame.zrttddz.HUAWEI" value="2"/>
                    <pkg name="com.t2ksports.nba2k19and" value="2"/>
                    <pkg name="com.t2ksports.nba2k20and" value="2"/>
                    <pkg name="com.miHoYo.enterprise.NGHSoD" value="2"/>
                    <pkg name="com.tencent.tmgp.bh3" value="2"/>
                    <pkg name="com.miHoYo.bh3.huawei" value="2"/>
                    <pkg name="com.miHoYo.bh3.bilibili" value="2"/>
                    <pkg name="com.miHoYo.bh3tw" value="2"/>
                    <pkg name="com.miHoYo.bh3global" value="2"/>
                    <pkg name="com.miHoYo.bh3.uc" value="2"/>
                    <pkg name="com.miHoYo.bh3.qihoo" value="2"/>
                    <pkg name="com.miHoYo.Yuanshen" value="2"/>
                    <pkg name="com.protopop.brightridge" value="2"/>
                </switch>
            </setting>
        </Param>

        <Param name="forbid_api_setFrameRate_config" value="1">
            <switch name="priority" value="1"/>
            <switch name="app_pkg_black_list">
                <pkg name="com.quark.browser"/>
                <pkg name="com.tencent.mobileqq"/>
                <pkg name="com.ss.android.article.video"/>
                <pkg name="com.huawei.android.hwaps.camera.*"/>
                <pkg name="com.huawei.android.hwaps.audio.*"/>
                <pkg name="com.huawei.android.hwaps.fullscreenvideo.*"/>
            </switch>
        </Param>

        <!-- setting default value -->
        <Param name="setting_refresh_default_id" value="2"/>

        <!-- external switch -->
        <Param name="support_power_mode_switch" value="1"/>
        <Param name="support_cota_update_switch" value="1"/>
        <Param name="support_early_idle_switch" value="1"/>
        <Param name="support_pointer_location_switch" value="1"/>
        <Param name="support_display_hotplug_switch" value="1"/>
        <Param name="support_wechat_video_scene_switch" value="1"/>
        <Param name="support_navi_motion_switch" value="1"/>
        <Param name="support_cts_test_switch" value="1"/>
        <Param name="support_fingerprint_switch" value="1" code="2"/>
        <Param name="multi_app_lcd_freq_switch" value="4"/>
        <Param name="launcher_scene_delay_config" value="370"/>

        <Param name="support_virtual_display_switch" value="1">
            <exclude name="flutter-vd"/>
        </Param>

        <Param name="high_freq_surfacetexture_config" value="1">
            <pkg name="com.eg.android.AlipayGphone"/>
        </Param>

        <Param name="SF_composition_config">
            <sf_param name="switch" value="1"/>
            <sf_param name="sf_accum_time" value="5"/>
            <sf_param name="sf_accum_count" value="20"/>
            <sf_param name="app_penalty_time" value="60"/>
            <sf_param name="app_penalty_count" value="1"/>
        </Param>

        <Param name="app_dynamic_strategy_config">
            <config_param name="max_wait_idle_period" value="2000"/>
            <config_param name="check_refresh_idle_period" value="200"/>
            <config_param name="refresh_idle_period" value="500"/>
	    <config_param name="slide_start_touch_slop" value="16"/>
        </Param>

        <Param name="screen_factor_config">
            <config_param name="screen_factor_switch" value="1"/>
            <config_param name="activity_jump_switch" value="0"/>
            <config_param name="screen_brightness_threshold" value="110"/>
            <config_param name="ambient_light_threshold" value="120"/>
            <config_param name="ambient_dynamic_value" value="20"/>
        </Param>

        <!-- for game -->
        <Param name="game_fps_mode_switch" value="4"/>
        <Param name="game_main_layers_config">
            <layer name="com.t2ksports.nba2k19and" value="com.t2ksports.nba2k19and/com.t2ksports.nba2k19and.gameactivity#"/>
            <layer name="com.t2ksports.nba2k20and" value="com.t2ksports.nba2k20and/com.t2ksports.nba2k20and.gameactivity#"/>
        </Param>
        <Param name="game_sdk_info_switch" value="0"/>
        <Param name="game_tp_widely_enable_switch" value="0"/>
        <Param name="game_aps_delayed_time_config" value="20"/>

        <!-- high freq slide model -->
        <Param name="high_freq_smart_slide_model_config">
            <slide_param name="switch" value="1"/>
            <slide_param name="low_velocity_friction_gain" value="0.6"/>
            <slide_param name="low_velocity_init_velocity_gain" value="0.8"/>
            <slide_param name="medium_velocity_level" value="5000.0"/>
            <slide_param name="medium_velocity_friction_gain" value="0.6"/>
            <slide_param name="medium_velocity_init_velocity_gain" value="0.8"/>
            <slide_param name="high_velocity_level" value="15000.0"/>
            <slide_param name="high_velocity_friction_gain" value="0.6"/>
            <slide_param name="high_velocity_init_velocity_gain" value="0.8"/>
        </Param>

        <!-- 高帧率滑动曲线动态降帧方案（120HZ） -->
        <Param name="dynamic_software_freq_strategy_config">
            <policy_param name="policy_switch" value="1"/>
            <policy_param name="strategy_id" value="1"/>
            <policy_param name="support_app_list" value="1"/>
            <policy_param name="execution_velocity" value="20000"/>
            <policy_param name="termination_velocity" value="15000"/>
            <policy_param name="init_vsync_period" value="13333333"/>
            <policy_param name="stride_period" value="500"/>
        </Param>

        <!-- setting FF_solution switch value -->
        <Param name="FF_solution_switch" value="1"/>

        <!-- setting FF_solution uniform config value -->
        <Param name="frame_flow_config">
            <conf name="AI_Schedule" value="1"/>
            <conf name="Debug_ActiveShaders" value="0"/>
            <conf name="Debug_DrawDepth" value="0"/>
            <conf name="Debug_DrawStencil" value="0"/>
            <conf name="Debug_DrawObjectID" value="0"/>
            <conf name="Debug_DrawDynamicReproject" value="0"/>
            <conf name="Debug_DrawMotionVectors" value="0"/>
            <!-- Red text overlay switch
                Possible values:
                    0 - disabled
                    1 - display run level and fps counter
                    2 - display run level, fps counter and frame timestamp
            -->
            <conf name="Debug_DrawText" value="0"/>
            <conf name="Debug_DrawPredictionMarker" value="0"/>
            <conf name="Debug_MarkerHeight" value="15"/>
            <!-- Mark indent in pixels from the lower left corner of a display -->
            <conf name="Debug_MarkerIndent" value="100"/>
            <conf name="Debug_FrameDump" value="0"/>
            <conf name="Debug_FrameDumpCount" value="5"/>
            <!-- -1 is no limit, active only with FrameDump=1 -->
            <conf name="Debug_FrameDumpFpsLimit" value="-1"/>
            <conf name="Debug_ExplainLevelChanges" value="0"/>
            <conf name="Debug_SmartPerfContact" value="0"/>
            <conf name="Debug_SmartPerfFrameDropThreshold" value="10"/>
            <conf name="FpsLogInterval" value="30"/>
            <conf name="FpsThreshold" value="90"/>
            <conf name="Game_Boost" value="1"/>
            <conf name="USBDebugAllowed" value="0"/>
        </Param>

        <!-- setting FF_solution pubg game config value -->
        <Param name="frame_flow_pubg_config" value="1">
            <conf name="Game_Version" value="1.21"/>
            <conf name="Draw_CSM_Overlay" value="0"/>
            <conf name="GFX_DynShadows" value="0"/>
            <conf name="DriveModeDist" value="350.0"/>
            <conf name="FirstPersonDist" value="95.0"/>
            <conf name="AirplaneHeight" value="100000.0"/>
            <conf name="AirplaneMinDistanceToDynamic" value="3000.0"/>
            <conf name="Rotation_AngleLimit" value="90.0"/>
            <conf name="Rotation_AngleLimit_ForSlowSliding" value="0.3"/>
            <conf name="Camera_LinearMoveLimit" value="315.0"/>
            <conf name="Camera_LinearMoveLimit_ForSlowSliding" value="8.0"/>
            <conf name="Fix_Overshooting" value="0"/>
            <conf name="Save_Unexpected_Shader" value="1"/>
            <conf name="Wait_Top_Delay" value="14"/>
            <conf name="Limit_FPS_By_APS" value="1"/>
            <conf name="Log_Statistics" value="0"/>
            <conf name="Statistics_Period_Seconds" value="5"/>
            <conf name="DoExtrapolation" value="0"/>
            <conf name="Luma_Scale_Factor" value="0.889"/>
            <conf name="GameplayDetector_Bypass_Scene_Textures">
                <item>GameVictoryBG</item>        <!-- champion settlement page -->
                <item>ZD_image_diuqifanwei</item> <!-- backpack details page -->
            </conf>
            <conf name="GameplayDetector_Bypass_Scene_TextureCubes">
                <item>Baltic_Clear_Cube_03</item> <!-- PUBG 1.19&1.20 sphere vehicle -->
            </conf>
            <conf name="GameplayDetector_Team_Activity_Textures">
                <item>Infect_Railway_Station_Miniap</item>
                <item>AR_Library_MiniMap</item>
                <item>HP_City_Minmap</item>
                <item>TD_Ruins_Half_Minimap</item>
                <item>Factory_Depot_MiniMap</item>
            </conf>
            <conf name="GameplayDetector_Whitelist_Textures">
                <item>Shooting_Range_Park_Minimap</item>                <!-- training arena -->
                <item>Baltic_Minimap</item>                             <!-- Erangel (sea island) -->
                <item>Baltic_Minimap_3th</item>                         <!-- Erangel v1.18 -->
                <item>Baltic_Minimap_CG019</item>                       <!-- Erangel v1.19 -->
                <item>CG020_MainCity_Baltic_Minimap</item>              <!-- Erangel v1.20 -->
                <item>CG021_JinXiuHuaYuan_BigMap</item>                 <!-- Erangel v1.21 -->
                <item>4ThStage_Map_Baltic_M</item>                      <!-- Erangel v1.22 -->
                <item>CG023_temp_map</item>                             <!-- Erangel v1.23 -->
                <!--
                                                                        // TODO format as XML comment one needed
                <item>Desert_Minimap_Expand</item>                      // Miramar (desert)
                <item>Savage_Minimap_Expand</item>                      // Sanhok (rain forest)
                <item>DihorOtok_Minimap</item>                          // Vikendi (snowfield)
                <item>FourMaps_MiniMap</item>                           // Livik (valley)
                <item>Karakin_MiniMap</item>                            // Karakin (golden island) */
                -->
            </conf>
            <conf name="PredictionAllowed_MSAA_ON" value="1"/>
            <conf name="PredictionAllowed_MSAA_OFF" value="1"/>
            <conf name="PredictionAllowed_Shadows_ON" value="0"/>
            <conf name="PredictionAllowed_Shadows_OFF" value="1"/>
            <conf name="PredictionAllowed_FPS_20" value="0"/>
            <conf name="PredictionAllowed_FPS_25" value="0"/>
            <conf name="PredictionAllowed_FPS_30" value="0"/>
            <conf name="PredictionAllowed_FPS_40" value="0"/>
            <conf name="PredictionAllowed_FPS_60" value="0"/>
            <conf name="PredictionAllowed_FPS_90" value="1"/>
            <conf name="PredictionAllowed_FPS_120" value="1"/>
            <conf name="PredictionAllowed_Quality_Low" value="1"/>
            <conf name="PredictionAllowed_Quality_Med" value="0"/>
            <conf name="PredictionAllowed_Quality_High" value="0"/>
            <conf name="PredictionAllowed_Quality_HDR" value="0"/>
            <conf name="PredictionAllowed_Quality_Extreme" value="0"/>
            <conf name="PredictionAllowed_Quality_Ultra" value="0"/>
            <conf name="PredictionAllowed_Style_Classic" value="1"/>
            <conf name="PredictionAllowed_Style_Colorful" value="0"/>
            <conf name="PredictionAllowed_Style_Realistic" value="0"/>
            <conf name="PredictionAllowed_Style_Soft" value="0"/>
            <conf name="PredictionAllowed_Style_Movie" value="0"/>
            <!-- outdoor detection related params -->
            <conf name="OutdoorBinThreshold_0" value="0.00125"/>
            <conf name="OutdoorBinThreshold_1" value="0.0025"/>
            <conf name="OutdoorNearDynamicThreshold" value="0.001"/>
            <conf name="OutdoorControlValue_0" value="0.0089"/>
            <conf name="OutdoorControlValue_1" value="0.1339"/>
            <conf name="OutdoorControlValue_2" value="0.8572"/>
            <conf name="OutdoorActiveCheckPeriodMs" value="300"/>
            <conf name="OutdoorPassiveCheckPeriodMs" value="1500"/>

            <!-- Possible values:
                 Airplane
                 Always
                 BlueZoneHDR
                 DrivingMode
                 MarineMode
                 Never
                 Outdoor
                 ProximityMarkerHDR
                 SkinnedNear
                 SniperSight
                 ThirdPersonMode
                 ThrowLine -->
            <conf name="Scenario" value="!SniperSight && !Airplane && !MarineMode && !ThrowLine && ThirdPersonMode && !BlueZoneHDR && !ProximityMarkerHDR && (DrivingMode || Outdoor)"/>
            <conf name="TeamActivityModeAllowed" value="0"/>
            <conf name="DynamicReprojectUnderflowSetback" value="90"/>
            <conf name="ObjectIDMaskAlwaysAggregateCharacterObjects" value="0"/>
            <conf name="ObjectIDMaskAlwaysAggregateMainCharacter" value="1"/>
            <conf name="ObjectIDMaskOverrideMainCharacterForNonSkinnedMeshes" value="0"/>
            <conf name="ObjectIDMaskOverrideMainCharacterForNonSkinnedMeshesDriveMode" value="1"/>
            <conf name="ObjectIDMaskAutoSwitchModeOnOverflow" value="0"/>
            <conf name="ObjectIDMaskOverflowSetbackFrames" value="512"/>
            <!-- Possible values:
                 default - grid based
                 rspp - reverse search (per-pixel)
                 cb2pp - 2 pass compute-based (per-pixel)
                 cb3pp - 3 pass compute-based (per-pixel)
            -->
            <conf name="FramePredictionAlgorithm" value="default"/>
            <conf name="GameplayStartedPenaltyFrames" value="300"/>
        </Param>
        <!-- setting FF_solution cod game config value -->
        <Param name="frame_flow_cod_config" value="0">
        </Param>

        <!-- setting FF_solution brightridge game config value -->
        <Param name="frame_flow_brightridge_config" value="1">
        </Param>

        <!-- setting FF_solution genshin game config value -->
        <Param name="frame_flow_genshin_config" value="1">
            <conf name="Enable_In_TAA_Mode_Only" value="1"/>
            <conf name="Enable_On_Oversea_Version" value="0"/>
            <conf name="DepthStencil_Extension_Interface_Switch" value="1"/>
            <conf name="Enable_By_App_Assistant" value="0"/>
            <conf name="Camera_LinearMoveLimit" value="1.0"/>
            <conf name="Camera_PostionHeightDiff" value="0.12"/>
            <conf name="Rotation_AngleLimit" value="10.0"/>
            <conf name="GFX_DynShadows" value="0"/>
            <conf name="FpsThreshold" value="45"/>
            <conf name="FramePredictionAlgorithm" value="internal_mv"/>
            <conf name="DoExtrapolation" value="0"/>
            <conf name="DynamicID" value="133"/>
            <conf name="DynamicUIStencil" value="1"/>
            <conf name="NeedZRangeAdjust" value="1"/>
            <conf name="Game_Version_Dir" value="/files/Unity/local.2209d13a1b52a5848b7f7df6575639f7/Analytics/values"/>
            <conf name="Game_Version" value="3.4.0"/>
            <conf name="SceneFilter_Labels">
                <item>miHoYo/Particles/UVmove_Lightning</item>         <!-- Parabola -->
                <item>miHoYo/Character/WeaponsDissolve</item>          <!-- Weapons around -->
                <item>miHoYo/Effects/Props_WorldPos_Clip</item>        <!-- Elevator -->
                <item>miHoYo/Effects/VertexAni_NormalTex_Seelie</item> <!-- Purple elf -->
            </conf>
        </Param>
    </Params>

    <Params name="emui_screen_brighten_animation_config">
        <animation_param name="switch" value="1"/>
        <animation_param name="animation_duration" value="400"/>
        <animation_param name="animation_start_scale" value="0.88"/>
        <animation_param name="animation_max_blur_radius" value="15"/>
        <animation_param name="animation_mode" value="0"/>
    </Params>

    <Params name="emui_charging_animation_3d_config">
        <animation_param name="switch" value="1"/>
    </Params>

    <Params name="emui_window_blur_effect_config">
        <animation_param name="blur_switch" value="1"/>
        <animation_param name="sched_switch" value="1"/>
    </Params>

    <Params name="emui_agp_render_config">
        <render_param name="agp_render_switch" value="0"/>
        <render_param name="async_switch" value="0"/>
        <render_param name="async_all" value="0"/>
        <render_param name="async_virtual_display" value="1"/>
        <render_param name="async_hisight_pc" value="1"/>
        <render_param name="async_hisight_display" value="0"/>
        <render_param name="async_blur_layer" value="0"/>
        <render_param name="async_corner_radius" value="0"/>
        <render_param name="async_other" value="0"/>
        <render_param name="hfbc_switch" value="0"/>
        <render_param name="hfbc_virtual" value="0"/>
    </Params>

    <Params name="itouch_game_list">
        <Param name="com.tencent.ig" value="0"/>
    </Params>

    <Params name="itouch_game_mode_fliter">
        <Param name="com.tencent.tmgp.pubgmhd" value="1"/>
        <Param name="com.tencent.tmgp.sgame" value="1"/>
        <Param name="com.tencent.tmgp.cf" value="1"/>
        <Param name="com.tencent.tmgp.speedmobile" value="1"/>
        <Param name="com.wepie.snake" value="1"/>
        <Param name="com.ztgame.bob" value="1"/>
        <Param name="com.mojang.minecraftpe" value="1"/>
        <Param name="com.netease.hyxd" value="1"/>
        <Param name="com.netease.dwrg" value="1"/>
        <Param name="com.tencent.tmgp.yongyong.mrzh" value="1"/>
        <Param name="com.tencent.tmgp.qqx5" value="1"/>
        <Param name="com.tencent.tmgp.bh3" value="1"/>
        <Param name="com.miHoYo.enterprise.NGHSoD" value="1"/>
        <Param name="com.mobile.legends" value="1"/>
        <Param name="com.epicgames.fortnite" value="1"/>
        <Param name="com.netease.ko" value="1"/>
        <Param name="com.dts.freefireth" value="1"/>
        <Param name="com.garena.game.kgsam" value="1"/>
        <Param name="com.gameloft.android.ANMP.GloftA9HM" value="1"/>
        <Param name="com.garena.game.fctw" value="1"/>
        <Param name="com.ngame.allstar.eu" value="1"/>
    </Params>

    <Params name="itouch_game_direct_report_list">
        <Param name="com.tencent.tmgp.sgame"/>
        <Param name="com.tencent.KiHan"/>
        <Param name="com.aligames.kuang.kybc.huawei"/>
        <Param name="com.tencent.tmgp.WePop"/>
        <Param name="com.netease.lztg"/>
        <Param name="com.tencent.af"/>
        <Param name="com.pandadastudio.ninjamustdie3.huawei"/>
        <Param name="com.kiloo.subwaysurf"/>
        <Param name="com.Sgame.yzr3.aligames"/>
        <Param name="com.tencent.tmgp.supercell.brawlstars"/>
        <Param name="com.netease.moba.aligames"/>
        <Param name="com.superevilmegacorp.game.nesh.huawei"/>
        <Param name="com.supercell.clashroyale.huawei"/>
        <Param name="com.netease.hyxd.huawei"/>
        <Param name="com.outfit7.talkingtomgoldrun.HUAWEI"/>
        <Param name="com.soulgame.slithersg.huawei"/>
        <Param name="com.wepie.snake.huawei"/>
    </Params>

    <Params name="itouch_tp_rate_list">
        <Param name="com.tencent.KiHan" value="5"/>
        <Param name="com.aligames.kuang.kybc.huawei" value="5"/>
        <Param name="com.tencent.tmgp.WePop" value="5"/>
        <Param name="com.netease.lztg" value="5"/>
        <Param name="com.tencent.af" value="5"/>
        <Param name="com.pandadastudio.ninjamustdie3.huawei" value="5"/>
        <Param name="com.kiloo.subwaysurf" value="5"/>
        <Param name="com.Sgame.yzr3.aligames" value="5"/>
        <Param name="com.tencent.tmgp.supercell.brawlstars" value="5"/>
        <Param name="com.netease.moba.aligames" value="5"/>
        <Param name="com.superevilmegacorp.game.nesh.huawei" value="5"/>
        <Param name="com.supercell.clashroyale.huawei" value="5"/>
        <Param name="com.netease.hyxd.huawei" value="5"/>
        <Param name="com.outfit7.talkingtomgoldrun.HUAWEI" value="5"/>
        <Param name="com.soulgame.slithersg.huawei" value="5"/>
        <Param name="com.wepie.snake.huawei" value="5"/>
        <Param name="com.huawei.app.direct.report.scene" value="5"/>
        <Param name="com.tencent.tmgp.pubgmhd" value="2"/>
        <Param name="com.tencent.tmgp.sgame" value="2"/>
        <Param name="com.tencent.tmgp.cf" value="2"/>
        <Param name="com.tencent.tmgp.speedmobile" value="2"/>
        <Param name="com.wepie.snake" value="2"/>
        <Param name="com.ztgame.bob" value="2"/>
        <Param name="com.mojang.minecraftpe" value="2"/>
        <Param name="com.netease.hyxd" value="2"/>
        <Param name="com.netease.dwrg" value="2"/>
        <Param name="com.tencent.tmgp.yongyong.mrzh" value="2"/>
        <Param name="com.netease.mrzh" value="2"/>
        <Param name="com.netease.mrzh.huawei" value="2"/>
        <Param name="com.netease.mrzh.bilibili" value="2"/>
        <Param name="com.miHoYo.Yuanshen" value="2"/>
        <Param name="com.miHoYo.ys.bilibili" value="2"/>
        <Param name="com.studiowildcard.wardrumstudios.ark" value="2"/>
        <Param name="com.protopop.brightridge" value="2"/>
        <Param name="com.tencent.tmgp.cod" value="2"/>
        <Param name="com.tencent.tmgp.qqx5" value="2"/>
        <Param name="com.tencent.tmgp.bh3" value="2"/>
        <Param name="com.miHoYo.bh3.huawei" value="2"/>
        <Param name="com.miHoYo.bh3.bilibili" value="2"/>
        <Param name="com.miHoYo.enterprise.NGHSoD" value="2"/>
        <Param name="com.mobile.legends" value="2"/>
        <Param name="com.epicgames.fortnite" value="2"/>
        <Param name="com.netease.ko" value="2"/>
        <Param name="com.dts.freefireth" value="2"/>
        <Param name="com.garena.game.kgsam" value="2"/>
        <Param name="com.gameloft.android.ANMP.GloftA9HM" value="2"/>
        <Param name="com.garena.game.fctw" value="2"/>
        <Param name="com.ngame.allstar.eu" value="2"/>
        <Param name="com.tencent.forest" value="2"/>
    </Params>

    <Params name="emui_view_round_corner_config">
       <round_corner_param name="round_corner_type" value="1" />
       <round_corner_param name="round_corner_g2_param_a" value="2.0" />
       <round_corner_param name="round_corner_g2_param_b" value="1.1" />
       <round_corner_param name="support_app_list" value="com.huawei.notepad" />
       <round_corner_param name="support_app_list" value="com.huawei.calendar" />
       <round_corner_param name="support_app_list" value="com.android.settings" />
       <round_corner_param name="support_app_list" value="com.huawei.deskclock" />
       <round_corner_param name="support_app_list" value="com.huawei.smarthome" />
       <round_corner_param name="support_app_list" value="com.huawei.android.totemweather:ui" />
       <round_corner_param name="support_app_list" value="com.huawei.photos" />
       <round_corner_param name="support_app_list" value="com.huawei.appmarket" />
       <round_corner_param name="support_app_list" value="com.huawei.intelligent" />
       <round_corner_param name="support_app_list" value="com.android.systemui" />
    </Params>

	<Params name="whiteblock_config">
        <Param name="support_cota_update_switch" value="1"/>
        <Param name="send_idle_switch" value="1">
            <apps_param name="com.ss.android.article.news">
                <app_param name="switch" value="1"/>
                <app_param name='version' value="7.9-9.1"/>
                <app_param name="views" value="">
                    <view_param name="com.ss.android.article.base.feature.feed.view.FeedCommonRecyclerView"/>
                </app_param>
            </apps_param>
            <apps_param name='com.taobao.taobao'>
                <app_param name="switch" value="1"/>
                <app_param name="adjust_state_switch" value="1"/>
                <app_param name="version" value="9.16-9.31"/>
                <app_param name="views" value="">
                    <view_param name="com.taobao.tao.recommend3.container.NestedRecyclerView"/>
                    <view_param name="com.taobao.android.searchbaseframe.business.srp.list.uikit.PartnerRecyclerView"/>
                </app_param>
            </apps_param>
            <apps_param name='com.netease.newsreader.activity'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="74-86"/>
                <app_param name="views" value="">
                    <view_param name="androidx.recyclerview.widget.RecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.ss.android.ugc.aweme'>
                <app_param name="switch" value="1"/>
		<app_param name="adjust_state_switch" value="1"/>
                <app_param name="version" value="14.8-14.8"/>
                <app_param name="speed_threshold" value="19000:500"/>
                <app_param name="views" value="">
                    <view_param name="com.ss.android.ugc.aweme.views.FpsRecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.baidu.searchbox'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="12.9-12.9"/>
                <app_param name="views" value="">
                    <view_param name="androidx.recyclerview.widget.RecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.kugou.android'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="10.4-10.4"/>
                <app_param name="views" value="">
                    <view_param name="com.kugou.common.widget.recyclerview.KGCommRecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.ss.android.article.video'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="5.4-5.4"/>
                <app_param name="views" value="">
                    <view_param name="com.ixigua.commonui.view.pullrefresh.FeedPullRefreshRecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.tencent.news'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="6.4-6.4"/>
                <app_param name="views" value="">
                    <view_param name="com.tencent.news.ui.pullrefresh.PullRefreshRecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.hunantv.imgo.activity'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="6.8-6.8"/>
                <app_param name="views" value="">
                    <view_param name="android.support.v7.widget.RecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.ss.android.ugc.live'>
                <app_param name="switch" value="1"/>
                <app_param name="version" value="11.0-11.0"/>
                <app_param name="views" value="">
                    <view_param name="com.ss.android.ugc.live.widget.FixFlingRecyclerView"/>
                </app_param>
            </apps_param>
	    <apps_param name='com.duowan.kiwi'>
                <app_param name="switch" value="1"/>
		<app_param name="adjust_state_switch" value="1"/>
                <app_param name="version" value="8.10-8.10"/>
                <app_param name="views" value="">
                    <view_param name="com.duowan.kiwi.list.banner.RefreshHeaderRecyclerView"/>
                </app_param>
            </apps_param>
        </Param>
    </Params>

    <!-- graphic features switch, using bitmask to store graphic enabled features, from 0x00000001 to 0x40000000-->
    <!-- 图形方案通用开关配置项，使用该配置请在下方注明已经使用的位:
         dynamic_software_freq_strategy_config mask=0x00000002,
     -->
    <Params name="emui_graphic_features_switch_config">
        <graphic_feature name="dynamic_software_freq_strategy_config" mask="0x00000002"/>
    </Params>
</Config>
